summaryrefslogtreecommitdiffstats
path: root/compass/deploy/prepare.sh
diff options
context:
space:
mode:
authorJonas Bjurel <jonas.bjurel@ericsson.com>2015-10-03 16:54:43 +0200
committerJonas Bjurel <jonas.bjurel@ericsson.com>2015-10-03 16:54:43 +0200
commit11dbe27afb96c5b54b9f4f0a1c8b21194f59dc7b (patch)
tree1ee6814c36c7af010cff9d67a1cf1643b233a378 /compass/deploy/prepare.sh
parent0d4a1f4143d71fc616f456a3708d5c8c2a24ec3f (diff)
Moving tag arno.2015.1.0 from genesis to fuel/stable/arnoarno.2015.1.0
Change-Id: I8bb3e28a814e04ad15e8a4b24b40bd7685600f46 Signed-off-by: Jonas Bjurel <jonas.bjurel@ericsson.com>
Diffstat (limited to 'compass/deploy/prepare.sh')
-rw-r--r--compass/deploy/prepare.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/compass/deploy/prepare.sh b/compass/deploy/prepare.sh
new file mode 100644
index 000000000..2086c5dc4
--- /dev/null
+++ b/compass/deploy/prepare.sh
@@ -0,0 +1,35 @@
+sudo apt-get update -y
+sudo apt-get install git python-pip python-dev -y
+vagrant --version
+if [[ $? != 0 ]]; then
+ vagrant_pkg_url=https://dl.bintray.com/mitchellh/vagrant/vagrant_1.7.2_x86_64.deb
+ wget ${vagrant_pkg_url}
+ sudo dpkg -i $(basename ${vagrant_pkg_url})
+else
+ echo "vagrant is already installed"
+fi
+sudo apt-get install libxslt-dev libxml2-dev libvirt-dev build-essential qemu-utils qemu-kvm libvirt-bin virtinst libmysqld-dev -y
+sudo service libvirt-bin restart
+
+for plugin in vagrant-libvirt vagrant-mutate; do
+ vagrant plugin list |grep $plugin
+ if [[ $? != 0 ]]; then
+ vagrant plugin install $plugin --plugin-source https://ruby.taobao.org
+ else
+ echo "$plugin plugin is already installed"
+ fi
+done
+sudo pip install --upgrade ansible virtualenv
+#precise_box_vb_url=https://cloud-images.ubuntu.com/vagrant/precise/current/precise-server-cloudimg-amd64-vagrant-disk1.box
+#precise_box_vb_filename=$(basename ${precise_box_vb_url})
+centos65_box_vb_url=https://developer.nrel.gov/downloads/vagrant-boxes/CentOS-6.5-x86_64-v20140504.box
+centos65_box_vb_filename=$(basename ${centos65_box_vb_url})
+#wget ${precise_box_vb_url}
+vagrant box list |grep centos65
+if [[ $? != 0 ]]; then
+ wget ${centos65_box_vb_url}
+ mv ${centos65_box_vb_filename} centos65.box
+ vagrant mutate centos65.box libvirt
+else
+ echo "centos65 box already exists"
+fi